Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.service
Interface TherLinkService

All Known Implementing Classes:
  TherLinkServiceImpl

    public interface TherLinkService

The interface Therapeutic Links Service Default imp : `TherLinkServiceImpl` Factory : `ServiceFactory`

Method Summary
`GetTherapeuticLinkResponse` | `getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request)` Get a therapeutic link
`PutTherapeuticLinkResponse` | `putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request)` Put a therapeutic link
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request)` Revoke a therapeutic link

Method Detail

### putTherapeuticLink

    PutTherapeuticLinkResponse putTherapeuticLink(SAMLToken token,
                                                  PutTherapeuticLinkRequest request)
                                                  throws TherLinkBusinessConnectorException,
                                                         TechnicalConnectorException

  Put a therapeutic link

  Parameters:
    `token` - the token
    `request` - the putTherapeuticLink request
  Returns:
    the putTherapeuticLink response
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

### getTherapeuticLink

    GetTherapeuticLinkResponse getTherapeuticLink(SAMLToken token,
                                                  GetTherapeuticLinkRequest request)
                                                  throws TechnicalConnectorException,
                                                         TherLinkBusinessConnectorException

  Get a therapeutic link

  Parameters:
    `token` - the token
    `request` - the getTherapeuticLink request
  Returns:
    the response
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`

### revokeTherapeuticLink

    RevokeTherapeuticLinkResponse revokeTherapeuticLink(SAMLToken token,
                                                        RevokeTherapeuticLinkRequest request)
                                                        throws TechnicalConnectorException,
                                                               TherLinkBusinessConnectorException

  Revoke a therapeutic link

  Parameters:
    `token` - the token
    `request` - the request
  Returns:
    the response
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.